diff -ru --exclude=.svn branches/4.5/ChangeLog trunk/ChangeLog
--- branches/4.5/ChangeLog	2011-05-18 18:01:04.767661471 +0200
+++ trunk/ChangeLog	2011-05-18 18:00:00.776890091 +0200
@@ -1,16 +1,17 @@
-2011-05-18  Philipp Gampe <forge.typo3.org@philippgampe.info>
+2011-05-18  Philipp Gampe  <forge.typo3.org@philippgampe.info>
 
-	* Fixed bug #13953: Third-party classes cannot be checked due to dynamicConfigFile in TCA (thanks to Jan Philipp Timme)
-	* Fixed bug #13757: Scheduler task does not work at all (Michael Miousse)
-    * Fixed bug #13828: checkhidden has no effect for some configurations (Michael Miousse)
+	* Fixed bug #13828: checkhidden has no effect for some configurations (Michael Miousse)
 	* Fixed bug #26731: The info module does not show up in IE 7 and 8 (Michael Miousse)
 	* Fixed bug #13368: Content of Tab is not scrollable (Michael Miousse)
 
-2011-02-24  Christopher Stelmaszyk  <chrissitopher@gmx.de>
+2011-04-26 	Michael Miousse  <michael.miousse@infoglobe.ca>
+
+	* Fixed bug #13757: Scheduler task does not work at all
 
-	* Cleaned emconf for the release of TYPO3 4.5.2
-	* Release linkvalidator 1.0.2
+2011-04-21 	Michael Miousse  <michael.miousse@infoglobe.ca>
 
+	* Fixed bug #13953: Third-party classes cannot be checked due to dynamicConfigFile in TCA (thanks to Jan Philipp Timme)
+	
 2011-02-24  Michael Miousse  <michael.miousse@infoglobe.ca>
 
 	* Fixed bug #13340: Regression in TYPO3 4.5.1: pid and uid database fields are always 0
diff -ru --exclude=.svn branches/4.5/classes/linktype/class.tx_linkvalidator_linktype_external.php trunk/classes/linktype/class.tx_linkvalidator_linktype_external.php
--- branches/4.5/classes/linktype/class.tx_linkvalidator_linktype_external.php	2011-01-21 07:23:31.989887000 +0100
+++ trunk/classes/linktype/class.tx_linkvalidator_linktype_external.php	2011-04-14 00:11:04.127055000 +0200
@@ -2,7 +2,7 @@
 /***************************************************************
  *  Copyright notice
  *
- *  (c) 2010 - 2009 Jochen Rieger (j.rieger@connecta.ag) 
+ *  (c) 2010 - 2009 Jochen Rieger (j.rieger@connecta.ag)
  *  (c) 2010 - 2011 Michael Miousse (michael.miousse@infoglobe.ca)
  *  All rights reserved
  *
diff -ru --exclude=.svn branches/4.5/classes/linktype/class.tx_linkvalidator_linktype_file.php trunk/classes/linktype/class.tx_linkvalidator_linktype_file.php
--- branches/4.5/classes/linktype/class.tx_linkvalidator_linktype_file.php	2011-01-21 06:52:37.401257000 +0100
+++ trunk/classes/linktype/class.tx_linkvalidator_linktype_file.php	2011-04-14 00:11:04.127055000 +0200
@@ -2,7 +2,7 @@
 /***************************************************************
  *  Copyright notice
  *
- *  (c) 2005 - 2010 Jochen Rieger (j.rieger@connecta.ag) 
+ *  (c) 2005 - 2010 Jochen Rieger (j.rieger@connecta.ag)
  *  (c) 2010 - 2011 Michael Miousse (michael.miousse@infoglobe.ca)
  *  All rights reserved
  *
@@ -49,7 +49,7 @@
 	}
 
 	/**
-	 * Generate the localized error message from the error params saved from the parsing. 
+	 * Generate the localized error message from the error params saved from the parsing.
 	 *
 	 * @param   array    all parameters needed for the rendering of the error message
 	 * @return  string    validation error message
diff -ru --exclude=.svn branches/4.5/classes/linktype/class.tx_linkvalidator_linktype_internal.php trunk/classes/linktype/class.tx_linkvalidator_linktype_internal.php
--- branches/4.5/classes/linktype/class.tx_linkvalidator_linktype_internal.php	2011-02-22 23:55:30.998547000 +0100
+++ trunk/classes/linktype/class.tx_linkvalidator_linktype_internal.php	2011-04-21 01:34:18.213041000 +0200
@@ -300,4 +300,4 @@
 	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/linkvalidator/classes/linktypes/class.tx_linkvalidator_linktypes_internal.php']);
 }
 
-?>
+?>
\ Kein Zeilenumbruch am Dateiende.
diff -ru --exclude=.svn branches/4.5/classes/tasks/class.tx_linkvalidator_tasks_validatoradditionalfieldprovider.php trunk/classes/tasks/class.tx_linkvalidator_tasks_validatoradditionalfieldprovider.php
--- branches/4.5/classes/tasks/class.tx_linkvalidator_tasks_validatoradditionalfieldprovider.php	2011-01-25 16:28:57.251168000 +0100
+++ trunk/classes/tasks/class.tx_linkvalidator_tasks_validatoradditionalfieldprovider.php	2011-04-29 16:02:37.356189000 +0200
@@ -198,7 +198,7 @@
 	 *
 	 * @param	array		$submittedData: reference to the array containing the data submitted by the user
 	 * @param	tx_scheduler_module1		$parentObject: reference to the calling object (BE module of the Scheduler)
-	 * @return	boolean		True if validation was ok (or selected class is not relevant), FALSE otherwise
+	 * @return	boolean		TRUE if validation was ok (or selected class is not relevant), FALSE otherwise
 	 */
 	public function validateAdditionalFields(array &$submittedData, tx_scheduler_Module $schedulerModule) {
 		$isValid = TRUE;
diff -ru --exclude=.svn branches/4.5/classes/tasks/class.tx_linkvalidator_tasks_validator.php trunk/classes/tasks/class.tx_linkvalidator_tasks_validator.php
--- branches/4.5/classes/tasks/class.tx_linkvalidator_tasks_validator.php	2011-05-18 17:41:02.918956234 +0200
+++ trunk/classes/tasks/class.tx_linkvalidator_tasks_validator.php	2011-05-18 17:33:20.651608721 +0200
@@ -403,7 +403,7 @@
 		$markerArray['totalBrokenLink'] = $this->totalBrokenLink;
 		$markerArray['totalBrokenLink_old'] = $this->oldTotalBrokenLink;
 		$content = t3lib_parsehtml::substituteMarkerArray($content, $markerArray, '###|###', TRUE, TRUE);
-		
+
 		/** @var t3lib_mail_Message $mail */
 		$mail = t3lib_div::makeInstance('t3lib_mail_Message');
 		if(empty($modTS['mail.']['fromemail'])) {
diff -ru --exclude=.svn branches/4.5/ext_emconf.php trunk/ext_emconf.php
--- branches/4.5/ext_emconf.php	2011-02-24 22:00:58.893940000 +0100
+++ trunk/ext_emconf.php	2011-02-24 22:05:44.445068000 +0100
@@ -3,7 +3,7 @@
 ########################################################################
 # Extension Manager/Repository config file for ext "linkvalidator".
 #
-# Auto generated 22-02-2011 17:37
+# Auto generated 24-02-2011 22:01
 #
 # Manual updates:
 # Only the data in the array - everything else is removed by next
@@ -40,7 +40,7 @@
 		'suggests' => array(
 		),
 	),
-	'_md5_values_when_last_written' => 'a:26:{s:9:"ChangeLog";s:4:"6c68";s:16:"ext_autoload.php";s:4:"4efa";s:12:"ext_icon.gif";s:4:"838b";s:17:"ext_localconf.php";s:4:"5e6f";s:14:"ext_tables.php";s:4:"1679";s:14:"ext_tables.sql";s:4:"2489";s:13:"locallang.xml";s:4:"f460";s:44:"classes/class.tx_linkvalidator_processor.php";s:4:"2737";s:61:"classes/linktype/class.tx_linkvalidator_linktype_abstract.php";s:4:"4c43";s:61:"classes/linktype/class.tx_linkvalidator_linktype_external.php";s:4:"83ce";s:57:"classes/linktype/class.tx_linkvalidator_linktype_file.php";s:4:"0a91";s:62:"classes/linktype/class.tx_linkvalidator_linktype_interface.php";s:4:"b40b";s:61:"classes/linktype/class.tx_linkvalidator_linktype_internal.php";s:4:"cc68";s:64:"classes/linktype/class.tx_linkvalidator_linktype_linkhandler.php";s:4:"ad63";s:56:"classes/tasks/class.tx_linkvalidator_tasks_validator.php";s:4:"7302";s:79:"classes/tasks/class.tx_linkvalidator_tasks_validatoradditionalfieldprovider.php";s:4:"7681";s:14:"doc/manual.sxw";s:4:"a6b9";s:14:"doc/manual.txt";s:4:"9221";s:54:"modfuncreport/class.tx_linkvalidator_modfuncreport.php";s:4:"b203";s:27:"modfuncreport/locallang.xml";s:4:"ca3f";s:31:"modfuncreport/locallang_csh.xml";s:4:"7953";s:31:"modfuncreport/locallang_mod.xml";s:4:"c589";s:31:"modfuncreport/mod_template.html";s:4:"4c0f";s:21:"res/linkvalidator.css";s:4:"2c65";s:21:"res/mailtemplate.html";s:4:"c425";s:20:"res/pagetsconfig.txt";s:4:"fb0b";}',
+	'_md5_values_when_last_written' => 'a:26:{s:9:"ChangeLog";s:4:"7cad";s:16:"ext_autoload.php";s:4:"4efa";s:12:"ext_icon.gif";s:4:"838b";s:17:"ext_localconf.php";s:4:"5e6f";s:14:"ext_tables.php";s:4:"1679";s:14:"ext_tables.sql";s:4:"2489";s:13:"locallang.xml";s:4:"f460";s:44:"classes/class.tx_linkvalidator_processor.php";s:4:"2737";s:61:"classes/linktype/class.tx_linkvalidator_linktype_abstract.php";s:4:"4c43";s:61:"classes/linktype/class.tx_linkvalidator_linktype_external.php";s:4:"83ce";s:57:"classes/linktype/class.tx_linkvalidator_linktype_file.php";s:4:"0a91";s:62:"classes/linktype/class.tx_linkvalidator_linktype_interface.php";s:4:"b40b";s:61:"classes/linktype/class.tx_linkvalidator_linktype_internal.php";s:4:"cc68";s:64:"classes/linktype/class.tx_linkvalidator_linktype_linkhandler.php";s:4:"ad63";s:56:"classes/tasks/class.tx_linkvalidator_tasks_validator.php";s:4:"7302";s:79:"classes/tasks/class.tx_linkvalidator_tasks_validatoradditionalfieldprovider.php";s:4:"7681";s:14:"doc/manual.sxw";s:4:"a6b9";s:14:"doc/manual.txt";s:4:"9221";s:54:"modfuncreport/class.tx_linkvalidator_modfuncreport.php";s:4:"b203";s:27:"modfuncreport/locallang.xml";s:4:"ca3f";s:31:"modfuncreport/locallang_csh.xml";s:4:"7953";s:31:"modfuncreport/locallang_mod.xml";s:4:"c589";s:31:"modfuncreport/mod_template.html";s:4:"4c0f";s:21:"res/linkvalidator.css";s:4:"2c65";s:21:"res/mailtemplate.html";s:4:"c425";s:20:"res/pagetsconfig.txt";s:4:"fb0b";}',
 	'suggests' => array(
 	),
 );