diff --git a/typo3/sysext/linkvalidator/classes/class.tx_linkvalidator_processor.php b/typo3/sysext/linkvalidator/classes/class.tx_linkvalidator_processor.php
index 5d7fd93..a9ebf05 100644
--- a/typo3/sysext/linkvalidator/classes/class.tx_linkvalidator_processor.php
+++ b/typo3/sysext/linkvalidator/classes/class.tx_linkvalidator_processor.php
@@ -418,11 +418,10 @@ class tx_linkvalidator_Processor {
 
 	public function getRootLineIsHidden($pageInfo){
 		$hidden = FALSE;
-		if($pageInfo['extendToSubpages'] == 1 && $pageInfo['hidden'] == 1){
+		if ($pageInfo['extendToSubpages'] == 1 && $pageInfo['hidden'] == 1){
 			$hidden = TRUE;
-		}
-		else{
-			if($pageInfo['pid'] > 0) {
+		} else {
+			if ($pageInfo['pid'] > 0) {
 				$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery(
 					'uid,title,hidden,extendToSubpages',
 					'pages',
diff --git a/typo3/sysext/linkvalidator/classes/linktype/class.tx_linkvalidator_linktype_external.php b/typo3/sysext/linkvalidator/classes/linktype/class.tx_linkvalidator_linktype_external.php
index d5be26c..acd22dd 100644
--- a/typo3/sysext/linkvalidator/classes/linktype/class.tx_linkvalidator_linktype_external.php
+++ b/typo3/sysext/linkvalidator/classes/linktype/class.tx_linkvalidator_linktype_external.php
@@ -104,13 +104,16 @@ class tx_linkvalidator_linktype_External extends tx_linkvalidator_linktype_Abstr
 								$parsedUrl['user'] . (isset($parsedUrl['pass']) ? ':' . $parsedUrl['pass'] : '')
 								: '') . $parsedUrl['host'] . (
 							isset($parsedUrl['port']) ? ':' . $parsedUrl['port'] : '') . $location[1];
-						}
-						else {
+						} else {
 							$newUrl = $location[1];
 						}
 
-						if ($lastUrl === $newUrl) break 2;
-					} else break 2;
+						if ($lastUrl === $newUrl) {
+							break 2;
+						}
+					} else {
+						break 2;
+					}
 				}
 			}
 
diff --git a/typo3/sysext/linkvalidator/classes/tasks/class.tx_linkvalidator_tasks_validator.php b/typo3/sysext/linkvalidator/classes/tasks/class.tx_linkvalidator_tasks_validator.php
index b6b5779..0d84be2 100644
--- a/typo3/sysext/linkvalidator/classes/tasks/class.tx_linkvalidator_tasks_validator.php
+++ b/typo3/sysext/linkvalidator/classes/tasks/class.tx_linkvalidator_tasks_validator.php
@@ -285,9 +285,9 @@ class tx_linkvalidator_tasks_Validator extends tx_scheduler_Task {
 		$processor = t3lib_div::makeInstance('tx_linkvalidator_Processor');
 		$pageRow = $GLOBALS['TYPO3_DB']->exec_SELECTgetSingleRow('*', 'pages', 'uid=' . $page);
 		$rootLineHidden = $processor->getRootLineIsHidden($pageRow);
-		if(!$rootLineHidden || $modTS['checkhidden']==1) {
+		if (!$rootLineHidden || $modTS['checkhidden']==1) {
 			$pageIds = $processor->extGetTreeList($page, $this->depth, 0, '1=1', $modTS['checkhidden']);
-			if($pageRow['hidden'] == 0 || $modTS['checkhidden']==1){
+			if ($pageRow['hidden'] == 0 || $modTS['checkhidden']==1) {
 				$pageIds .= $page;
 			}
 
diff --git a/typo3/sysext/linkvalidator/modfuncreport/class.tx_linkvalidator_modfuncreport.php b/typo3/sysext/linkvalidator/modfuncreport/class.tx_linkvalidator_modfuncreport.php
index 1a5eb7f..a9e9767 100644
--- a/typo3/sysext/linkvalidator/modfuncreport/class.tx_linkvalidator_modfuncreport.php
+++ b/typo3/sysext/linkvalidator/modfuncreport/class.tx_linkvalidator_modfuncreport.php
@@ -249,7 +249,7 @@ class tx_linkvalidator_ModFuncReport extends t3lib_extobjbase {
 			items : [
 			{
 				autoHeight: true,
-			title: TYPO3.lang.Report,
+				title: TYPO3.lang.Report,
 				html: ' . json_encode($this->flush(TRUE)) . '
 			},
 			' . $panelCheck . '
@@ -331,7 +331,7 @@ class tx_linkvalidator_ModFuncReport extends t3lib_extobjbase {
 			}
 		}
 		$rootLineHidden = $this->processor->getRootLineIsHidden($this->pObj->pageinfo);
-		if(!$rootLineHidden || $this->modTS['checkhidden']==1) {
+		if (!$rootLineHidden || $this->modTS['checkhidden']==1) {
 				// get children pages
 			$pageList = $this->processor->extGetTreeList(
 				$this->pObj->id,
@@ -342,7 +342,7 @@ class tx_linkvalidator_ModFuncReport extends t3lib_extobjbase {
 			);
 
 
-			if($this->pObj->pageinfo['hidden'] == 0 || $this->modTS['checkhidden']==1){
+			if ($this->pObj->pageinfo['hidden'] == 0 || $this->modTS['checkhidden']==1){
 				$pageList .= $this->pObj->id;
 			}
 
@@ -434,7 +434,7 @@ class tx_linkvalidator_ModFuncReport extends t3lib_extobjbase {
 			$keyOpt = array_keys($this->checkOpt);
 		}
 		$rootLineHidden = $this->processor->getRootLineIsHidden($this->pObj->pageinfo);
-		if(!$rootLineHidden || $this->modTS['checkhidden']==1) {
+		if (!$rootLineHidden || $this->modTS['checkhidden']==1) {
 			$pageList = $this->processor->extGetTreeList(
 				$this->pObj->id,
 				$this->searchLevel,
@@ -442,7 +442,7 @@ class tx_linkvalidator_ModFuncReport extends t3lib_extobjbase {
 				$GLOBALS['BE_USER']->getPagePermsClause(1),
 				$this->modTS['checkhidden']
 			);
-			if($this->pObj->pageinfo['hidden'] == 0 || $this->modTS['checkhidden']==1){
+			if ($this->pObj->pageinfo['hidden'] == 0 || $this->modTS['checkhidden']==1){
 				$pageList .= $this->pObj->id;
 			}
 
@@ -473,8 +473,7 @@ class tx_linkvalidator_ModFuncReport extends t3lib_extobjbase {
 					$brokenLinksMarker = $this->getNoBrokenLinkMessage($brokenLinksMarker);
 				}
 			}
-		}
-		else{
+		} else {
 
 			$brokenLinksMarker = $this->getNoBrokenLinkMessage($brokenLinksMarker);
 		}