diff -ru typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Button.js typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Button.js
--- typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Button.js	2012-01-24 11:42:20.000000000 +0100
+++ typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Button.js	2012-01-30 14:10:41.794687171 +0100
@@ -72,7 +72,7 @@
 				attributes: {
 					accesskey: '',
 					alt: '',
-					class: '',
+					"class": '',
 					dir: '',
 					disabled: '',
 					id: '',
diff -ru typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Checkbox.js typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Checkbox.js
--- typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Checkbox.js	2012-01-24 11:42:20.000000000 +0100
+++ typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Checkbox.js	2012-01-30 14:10:41.794687171 +0100
@@ -72,7 +72,7 @@
 				attributes: {
 					accesskey: '',
 					alt: '',
-					class: '',
+					"class": '',
 					dir: '',
 					disabled: '',
 					id: '',
diff -ru typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Fieldset.js typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Fieldset.js
--- typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Fieldset.js	2012-01-24 11:42:20.000000000 +0100
+++ typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Fieldset.js	2012-01-30 14:10:41.798685820 +0100
@@ -62,7 +62,7 @@
 		Ext.apply(this, {
 			configuration: {
 				attributes: {
-					class: '',
+					"class": '',
 					dir: '',
 					id: '',
 					lang: '',
diff -ru typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Fileupload.js typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Fileupload.js
--- typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Fileupload.js	2012-01-24 11:42:20.000000000 +0100
+++ typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Fileupload.js	2012-01-30 14:10:41.802686292 +0100
@@ -72,7 +72,7 @@
 				attributes: {
 					accesskey: '',
 					alt: '',
-					class: '',
+					"class": '',
 					dir: '',
 					disabled: '',
 					id: '',
diff -ru typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Form.js typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Form.js
--- typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Form.js	2012-01-24 11:42:20.000000000 +0100
+++ typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Form.js	2012-01-30 14:10:41.798685820 +0100
@@ -74,7 +74,7 @@
 					accept: '',
 					acceptcharset: '',
 					action: '',
-					class: '',
+					"class": '',
 					dir: '',
 					enctype: 'application/x-www-form-urlencoded',
 					id: '',
diff -ru typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Hidden.js typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Hidden.js
--- typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Hidden.js	2012-01-24 11:42:20.000000000 +0100
+++ typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Hidden.js	2012-01-30 14:10:41.798685820 +0100
@@ -47,7 +47,7 @@
 		Ext.apply(this, {
 			configuration: {
 				attributes: {
-					class: '',
+					"class": '',
 					id: '',
 					lang: '',
 					name: '',
diff -ru typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Password.js typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Password.js
--- typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Password.js	2012-01-24 11:42:20.000000000 +0100
+++ typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Password.js	2012-01-30 14:10:41.794687171 +0100
@@ -72,7 +72,7 @@
 				attributes: {
 					accesskey: '',
 					alt: '',
-					class: '',
+					"class": '',
 					dir: '',
 					disabled: '',
 					id: '',
diff -ru typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Radio.js typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Radio.js
--- typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Radio.js	2012-01-24 11:42:20.000000000 +0100
+++ typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Radio.js	2012-01-30 14:10:41.798685820 +0100
@@ -72,7 +72,7 @@
 				attributes: {
 					accesskey: '',
 					alt: '',
-					class: '',
+					"class": '',
 					dir: '',
 					disabled: '',
 					id: '',
diff -ru typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Reset.js typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Reset.js
--- typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Reset.js	2012-01-24 11:42:20.000000000 +0100
+++ typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Reset.js	2012-01-30 14:10:41.794687171 +0100
@@ -72,7 +72,7 @@
 				attributes: {
 					accesskey: '',
 					alt: '',
-					class: '',
+					"class": '',
 					dir: '',
 					disabled: '',
 					id: '',
diff -ru typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Select.js typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Select.js
--- typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Select.js	2012-01-24 11:42:20.000000000 +0100
+++ typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Select.js	2012-01-30 14:10:41.802686292 +0100
@@ -74,7 +74,7 @@
 		Ext.apply(this, {
 			configuration: {
 				attributes: {
-					class: '',
+					"class": '',
 					disabled: '',
 					id: '',
 					lang: '',
diff -ru typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Submit.js typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Submit.js
--- typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Submit.js	2012-01-24 11:42:20.000000000 +0100
+++ typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Submit.js	2012-01-30 14:10:41.798685820 +0100
@@ -72,7 +72,7 @@
 				attributes: {
 					accesskey: '',
 					alt: '',
-					class: '',
+					"class": '',
 					dir: '',
 					disabled: '',
 					id: '',
diff -ru typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Textarea.js typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Textarea.js
--- typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Textarea.js	2012-01-24 11:42:20.000000000 +0100
+++ typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Textarea.js	2012-01-30 14:10:41.798685820 +0100
@@ -71,7 +71,7 @@
 			configuration: {
 				attributes: {
 					accesskey: '',
-					class: '',
+					"class": '',
 					cols: '40',
 					dir: '',
 					disabled: '',
diff -ru typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Textline.js typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Textline.js
--- typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Textline.js	2012-01-24 11:42:20.000000000 +0100
+++ typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Basic/Textline.js	2012-01-30 14:10:41.802686292 +0100
@@ -72,7 +72,7 @@
 				attributes: {
 					accesskey: '',
 					alt: '',
-					class: '',
+					"class": '',
 					dir: '',
 					disabled: '',
 					id: '',
diff -ru typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Content/Header.js typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Content/Header.js
--- typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Content/Header.js	2012-01-24 11:42:20.000000000 +0100
+++ typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Content/Header.js	2012-01-30 14:10:41.802686292 +0100
@@ -51,7 +51,7 @@
 		Ext.apply(this, {
 			configuration: {
 				attributes: {
-					class: 'content-header',
+					"class": 'content-header',
 					dir: '',
 					id: '',
 					lang: '',
diff -ru typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Content/Textblock.js typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Content/Textblock.js
--- typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Content/Textblock.js	2012-01-24 11:42:20.000000000 +0100
+++ typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Content/Textblock.js	2012-01-30 14:10:41.802686292 +0100
@@ -51,7 +51,7 @@
 		Ext.apply(this, {
 			configuration: {
 				attributes: {
-					class: 'content-textblock',
+					"class": 'content-textblock',
 					dir: '',
 					id: '',
 					lang: '',
diff -ru typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Predefined/CheckboxGroup.js typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Predefined/CheckboxGroup.js
--- typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Predefined/CheckboxGroup.js	2012-01-24 11:42:20.000000000 +0100
+++ typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Predefined/CheckboxGroup.js	2012-01-30 14:10:41.806685584 +0100
@@ -61,7 +61,7 @@
 			},
 			configuration: {
 				attributes: {
-					class: 'fieldset-subgroup',
+					"class": 'fieldset-subgroup',
 					dir: '',
 					id: '',
 					lang: '',
diff -ru typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Predefined/Name.js typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Predefined/Name.js
--- typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Predefined/Name.js	2012-01-24 11:42:20.000000000 +0100
+++ typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Predefined/Name.js	2012-01-30 14:10:41.810695664 +0100
@@ -14,7 +14,7 @@
 		var config = {
 			configuration: {
 				attributes: {
-					class: 'predefined-name fieldset-subgroup fieldset-horizontal label-below',
+					"class": 'predefined-name fieldset-subgroup fieldset-horizontal label-below',
 					dir: '',
 					id: '',
 					lang: '',
diff -ru typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Predefined/RadioGroup.js typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Predefined/RadioGroup.js
--- typo3_src.orig/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Predefined/RadioGroup.js	2012-01-24 11:42:20.000000000 +0100
+++ typo3_src.new/typo3/sysext/form/Resources/Public/JavaScript/Wizard/Elements/Predefined/RadioGroup.js	2012-01-30 14:10:41.814687787 +0100
@@ -61,7 +61,7 @@
 			},
 			configuration: {
 				attributes: {
-					class: 'fieldset-subgroup',
+					"class": 'fieldset-subgroup',
 					dir: '',
 					id: '',
 					lang: '',